Bug 1973331 - Request to rebuild qt-creator for RHEL 8.4
Summary: Request to rebuild qt-creator for RHEL 8.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: qt-creator
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Johansen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-17 16:18 UTC by Jens Kretschmer
Modified: 2021-07-03 01:40 UTC (History)
6 users (show)

Fixed In Version: qt-creator-4.12.4-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-03 01:40:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Kretschmer 2021-06-17 16:18:22 UTC
Description of problem:
Currently installing qt-creator on RHEL 8.4 requires a downgrade of 18 packages. This results in multiple error messages being printed if an update is performed.
RHEL 8.3 provides LLVM 10
RHEL 8.4 provides LLVM 11

Version-Release number of selected component (if applicable):
qt-creator-4.12.4-4.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1. dnf install qt-creator

Actual results:
# dnf install qt-creator
Updating Subscription Management repositories.
Last metadata expiration check: 2:25:02 ago on Thu Jun 17 15:49:54 2021.
Dependencies resolved.
============================================================================================================================================================================================================
 Package                                    Architecture                    Version                                                         Repository                                                 Size
============================================================================================================================================================================================================
Installing:
 qt-creator                                 x86_64                          4.12.4-4.el8                                                    epel                                                       24 M
Installing dependencies:
 qt-creator-data                            noarch                          4.12.4-4.el8                                                    epel                                                      1.7 M
Downgrading:
 clang                                      x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                           81 k
 clang-devel                                x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                          2.0 M
 clang-libs                                 x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                           25 M
 clang-tools-extra                          x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                           13 M
 compiler-rt                                x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                          2.8 M
 libomp-devel                               x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                           18 k
 lld                                        x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                           19 k
 lld-libs                                   x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                          1.6 M
 lldb                                       x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                          6.0 M
 llvm                                       x86_64                          10.0.1-3.module+el8.3.0+7719+53d428de                           rhel-8-for-x86_64-appstream-rpms                          4.5 M
 llvm-devel                                 x86_64                          10.0.1-3.module+el8.3.0+7719+53d428de                           rhel-8-for-x86_64-appstream-rpms                          3.1 M
 llvm-libs                                  x86_64                          10.0.1-3.module+el8.3.0+7719+53d428de                           rhel-8-for-x86_64-appstream-rpms                           20 M
 llvm-test                                  x86_64                          10.0.1-3.module+el8.3.0+7719+53d428de                           rhel-8-for-x86_64-appstream-rpms                           79 M
 llvm-toolset                               x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                          9.8 k
 mesa-dri-drivers                           x86_64                          20.1.4-1.el8                                                    rhel-8-for-x86_64-appstream-rpms                           10 M
 mesa-filesystem                            x86_64                          20.1.4-1.el8                                                    rhel-8-for-x86_64-appstream-rpms                           33 k
 mesa-libxatracker                          x86_64                          20.1.4-1.el8                                                    rhel-8-for-x86_64-appstream-rpms                          1.8 M
 python3-lldb                               x86_64                          10.0.1-1.module+el8.3.0+7459+90c24896                           rhel-8-for-x86_64-appstream-rpms                          222 k

Transaction Summary
============================================================================================================================================================================================================
Install     2 Packages
Downgrade  18 Packages

Total download size: 196 M
Is this ok [y/N]:

Expected results:
installing qt-creator does not require a downgrade of packages.

Additional info:

Comment 1 Sandro Mani 2021-06-17 16:21:47 UTC
Submitted: https://koji.fedoraproject.org/koji/taskinfo?taskID=70310525

I really wished someone using EL would actually step up to maintain the package.

Comment 2 Fedora Update System 2021-06-17 19:49:50 UTC
FEDORA-EPEL-2021-f40a1214b9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-f40a1214b9

Comment 3 Fedora Update System 2021-06-18 01:38:19 UTC
FEDORA-EPEL-2021-f40a1214b9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-f40a1214b9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-07-03 01:40:33 UTC
FEDORA-EPEL-2021-f40a1214b9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.